This website uses cookies to ensure you get the best experience on our website. By using our website you agree on the following Cookie Policy, Privacy Policy, and Terms Of Use
Run the macro and enter the name of the custom property to read the value from
Macro will traverse all configurations and rename them based on the corresponding value of the configuration specific custom property
If property doesn't exist in configuration or value is empty - configuration is not renamed
Dim swApp As SldWorks.SldWorks
Dim swModel As SldWorks.ModelDoc2
Sub main()
Set swApp = Application.SldWorks
Set swModel = swApp.ActiveDoc
IfNot swModel IsNothingThenDim prpName AsString
prpName = InputBox("Specify the property name to read the value from")
If prpName <> ""ThenDim vConfNames AsVariantDim i AsInteger
vConfNames = swModel.GetConfigurationNames()
For i = 0 To UBound(vConfNames)
Dim swConf As SldWorks.Configuration
Set swConf = swModel.GetConfigurationByName(vConfNames(i))
Dim prpVal AsStringIf swConf.CustomPropertyManager.Get3(prpName, False, "", prpVal) ThenIf prpVal <> ""Then
swConf.Name = prpVal
EndIfEndIfNextEndIfElse
MsgBox "Please open the model"EndIfEndSub
Notifications
Join session by SOLIDWORKS and PDM API expret Artem Taturevych at 3DEXPERIENCE World 2025 on Feb 26 at 08:30 AM CST to explore 10 essential macros for automating drawings, assemblies, custom properties, and more